#!/bin/sh

set -evx

package="$1"
old_version="$2"
source_repo="$3"
workdir="$4"

mkdir -p "$workdir"
cd "$workdir"
rm -rf source-dir

dpkg-source --no-copy -x "$source_repo"/pool/*/*/"$package"/"$package"_*.dsc source-dir >log || {
    echo No source
    exit 0
}

cd source-dir
dpkg-parsechangelog --since "$old_version" -S Changes

